| Home >> All >> org >> apache >> taglibs |
Page 1 2 3
Package Samples:
org.apache.taglibs.rdc.scxml.env: The core classes for the digestion and interpretation of SCXML documents.
org.apache.taglibs.rdc.scxml.model: The core classes for the digestion and interpretation of SCXML documents.
org.apache.taglibs.rdc.sampleapps.musicstore.ws: A collection of classes needed by the music store sample application.
org.apache.taglibs.rdc.sampleapps.mortgage.struts: A collection of classes needed by the mortgage sample application.
org.apache.taglibs.rdc.dm: A collection of data models for all RDCs and some helper classes.
org.apache.taglibs.rdc.scxml: A collection of data models for all RDCs and some helper classes.
org.apache.taglibs.rdc.sampleapps.musicstore: A collection of data models for all RDCs and some helper classes.
org.apache.taglibs.jsp12
org.apache.taglibs.jms
org.apache.taglibs.jndi
org.apache.taglibs.log
org.apache.taglibs.mailer
org.apache.taglibs.page
org.apache.taglibs.random
org.apache.taglibs.regexp
org.apache.taglibs.request
org.apache.taglibs.rdc.core
org.apache.taglibs.rdc
org.apache.taglibs.rdc.sampleapps.mortgage
org.apache.taglibs.rdc.sampleapps.musicstore.struts
Classes:
Coercions: This class contains the logic for coercing data types before operators are applied to them. The following is the list of rules applied for various type conversions. Applying arithmetic operator Binary operator - A {+,-,*} B if A and B are null return 0 if A or B is Float, Double, or String containing ".", "e", or "E" coerce both A and B to Double apply operator otherwise coerce both A and B to Long apply operator if operator results in exception (such as divide by 0), error Binary operator - A {/,div} B if A and B are null return 0 otherwise coerce both A and B to Double apply operator if operator ...
FormatTag: JSP Tag format , used to format a Date for display. The Date as a long in milliseconds is obtained from the body of the tag. Uses the optional attribute pattern as the time pattern string to use when formatting the Date. The optional attribute timeZone can be set to the id of a timeZone script varaible so that the Date if adjusted for that timeZone. If the optional attribute locale is true, the Date is formatted for the clients locale if known. The optional attribute date can be set to a Date object using a runtime expression value. If set, date will be used instead of the tag body. The optional ...
ELEvaluator: This is the main class for evaluating expression Strings. An expression String is a String that may contain expressions of the form ${...}. Multiple expressions may appear in the same expression String. In such a case, the expression String's value is computed by concatenating the String values of those evaluated expressions and any intervening non-expression text, then converting the resulting String to the expected type using the PropertyEditor mechanism. In the special case where the expression String is a single expression, the value of the expression String is determined by evaluating the ...
MailTag: MailTag - JSP tag Mail is used to construct an email message. mail org.apache.taglibs.MailTag JSP Construct an email message to false false from false false cc false false bcc false false subject false false user false false password false false server false false port false false session false false mimeMessage false false authenticate false false
AddCookieTag: JSP Tag addCookie , used to add a cookie to the Http Response. The script variable for the name of the cookie is required. Cookie attributes such as the comment, value, etc. can be set statically by using the corresponding addCookie tag attribute. Or dynamically using the corresponding tag in the body of the addCookie tag. JSP Tag Lib Descriptor <name>addCookie</name> <tagclass>org.apache.taglibs.response.AddCookieTag</tagclass> <bodycontent>JSP</bodycontent> <info>Add a cookie to an Http Response.</info> <attribute> <name>name</name> ...
PageTag: PageTag - JSP tag page is used for generating an http request to a web page, it then scrapes the page for user specified text and stores the results from the scrape for later retrieval by another tag. JSP Tag Lib Descriptor <name>page</name> <tagclass>org.apache.taglibs.scrape.PageTag</tagclass> <bodycontent>JSP</bodycontent> <info>Set the page that will be scraped</info> <attribute> >name>url</name> <required>false</required> <rtexprval>false</rtsprval> </attribute> <attribute> < name>time</name> ...
ParseTag: JSP Tag parse , used to parse a Date string and output the time in ms. The Date as a string is obtained from the body of the tag. Uses the optional attribute pattern as the pattern to use when parsing the Date string. The optional attribute timeZone can be set to the id of a timeZone script varaible so that the Date if adjusted for that timeZone. If the optional attribute locale is true, the Date is parsed for the clients locale if known. The optional attribute localeRef can be used to specify the name of a page, session, application, or request scope attribute of type java.util.Locale to use. ...
GetTimestampTag: Translates a java.sql.Timestamp to a readable String. JSP Tag Lib Descriptor <tag> <name>getTimestamp</name> <tagclass>org.apache.taglibs.dbtags.resultset.GetTimestampTag</tagclass> <teiclass>org.apache.taglibs.dbtags.resultset.BaseGetterTEI</teiclass> <bodycontent>empty</bodycontent> <info> Similar to getColumn, but provides more precise control over java.sql.Timestamp formatting. The required "format" attribute can be either a pattern as accepted by SimpleDateFormat or a style: "FULL", "LONG", "MEDIUM" or "SHORT". It can also can be a comma separated list of two ...
GetNumberTag: Translates any SQL number to a readable String. JSP Tag Lib Descriptor <tag> <name>getNumber</name> <tagclass>org.apache.taglibs.dbtags.resultset.GetNumberTag</tagclass> <teiclass>org.apache.taglibs.dbtags.resultset.BaseGetterTEI</teiclass> <bodycontent>empty</bodycontent> <info> Similar to getColumn, but provides more precise control over number formatting. The "format" attribute can be either a pattern as accepted by the DecimalFormat constructor or a style: "CURRENCY", "PERCENT" or "NUMBER". The "locale" attribute can have one to three components as accepted by ...
GetTimeTag: Translates a java.sql.Time to a readable String. JSP Tag Lib Descriptor <tag> <name>getTime</name> <tagclass>org.apache.taglibs.dbtags.resultset.GetTimeTag</tagclass> <teiclass>org.apache.taglibs.dbtags.resultset.BaseGetterTEI</teiclass> <bodycontent>empty</bodycontent> <info> Similar to getColumn, but provides more precise control over java.sql.Time formatting. The "format" attribute can be either a pattern as accepted by SimpleDateFormat or a style: "FULL", "LONG", "MEDIUM" or "SHORT". The "locale" attribute can have one to three components as accepted by the Locale ...
ResultSetTag: JSP tag resultSet, executes the query and loops through the results for the enclosing statement or preparedstatement tag. The body of this tag is executed once per row in the resultset. The optional "loop" attribute, which default to true, specifies whether to execute the tag body once per row "true", or to simply assign the ResultSet to the page attribute specified by "id". The optional "name" and "scope" attributes can be used to retrieve a resultset (or rowset) from context. JSP Tag Lib Descriptor <name>resultSet</name> <tagclass>org.apache.taglibs.dbtags.resultset.ResultSetTag</tagclass> ...
GetDateTag: Translates a java.sql.Date to a readable String. JSP Tag Lib Descriptor <tag> <name>getDate</name> <tagclass>org.apache.taglibs.dbtags.resultset.GetDateTag</tagclass> <teiclass>org.apache.taglibs.dbtags.resultset.BaseGetterTEI</teiclass> <bodycontent>empty</bodycontent> <info> Similar to getColumn, but provides more precise control over java.sql.Date formatting. The "format" attribute can be either a pattern as accepted by SimpleDateFormat or a style: "FULL", "LONG", "MEDIUM" or "SHORT". The "locale" attribute can have one to three components as accepted by the Locale ...
TimeZonesTag: JSP Tag timeZones , used to loop through all the TimeZone's so that ID's and Display Names can be accessed by using the standard JSP <jsp:getProperty> tag. The script variable of name id is availble only within the body of the timeZones tag. Loops through all the timeZones. If the optional attribute locale is true , the Displaynames are formatted for the clients locale if known. The optional attribute localeRef can be used to specify the name of a page, session, application, or request scope attribute of type java.util.Locale to use. The optional attribute style can be set to SHORT or LONG ...
SplitTag: JSP Tag split , used to implement a perl style split on the text. The body of the tag iterates through each string generated from the split. The normal <jsp:getProperty/> can be used to get the value of each string split out using the id of the split tag script variable. The attribute text must be set to the id of a text tag. By default, the split is done on whitespace. Set the optional attribute regexp to the id of a regexp tag script variable id to perform the split using a custom regular expression. You can set the optional tag attribute limit to the number of items you want to limit the ...
EqualsAttributeTag: JSP Tag equalsAttribute , used to determine if a ServletContext attribute equals the value of the "match" tag attribute. Includes the body of the tag if the attribute equals the value of the "match" tag attribute. You can set the optional tag attribute value to true or false . The body of the tag is included if equalsAttribute matches the value. You can set the optional tag attribute ignoreCase to true or false . If ignoreCase is set to true, then the comparison between the application attribute and the "match" tag attribute will not be case-sensitive. JSP Tag Lib Descriptor <name>equalsAttribute</name> ...
EqualsInitParameterTag: JSP Tag equalsInitParameter , used to determine if an init parameter equals the value of the "match" tag attribute. Includes the body of the tag if the init parameter equals the value of the "match" tag attribute. You can set the optional tag attribute value to true or false . The body of the tag is included if equalsInitParameter matches the value. You can set the optional tag attribute ignoreCase to true or false . If ignoreCase is set to true, then the comparison between the init parameter and the "match" tag attribute will not be case-sensitive. JSP Tag Lib Descriptor <name>equalsInitParameter</name>; ...
EqualsAttributeTag: JSP Tag equalsAttribute , used to determine if a PageContext attribute equals the value of the "match" tag attribute. Includes the body of the tag if the attribute equals the value of the "match" tag attribute. You can set the optional tag attribute value to true or false . The body of the tag is included if equalsAttribute matches the value. You can set the optional tag attribute ignoreCase to true or false . If ignoreCase is set to true, then the comparison between the application attribute and the "match" tag attribute will not be case-sensitive. JSP Tag Lib Descriptor <name>equalsAttribute</name> ...
EqualsAttributeTag: JSP Tag equalsAttribute , used to determine if a Request attribute equals the value of the "match" tag attribute. Includes the body of the tag if the attribute equals the value of the "match" tag attribute. You can set the optional tag attribute value to true or false . The body of the tag is included if equalsAttribute matches the value. You can set the optional tag attribute ignoreCase to true or false . If ignoreCase is set to true, then the comparison between the request attribute and the "match" tag attribute will not be case-sensitive. JSP Tag Lib Descriptor <name>equalsAttribute</name> ...
EqualsParameterTag: JSP Tag equalsParameter , used to determine if a Request parameter equals the value of the "match" tag attribute. Includes the body of the tag if the parameter equals the value of the "match" tag parameter. You can set the optional tag parameter value to true or false . The body of the tag is included if equalsParameter matches the value. You can set the optional tag parameter ignoreCase to true or false . If ignoreCase is set to true, then the comparison between the request parameter and the "match" tag attribute will not be case-sensitive. JSP Tag Lib Descriptor <name>equalsParameter</name> ...
EqualsAttributeTag: JSP Tag equalsAttribute , used to determine if a Session attribute equals the value of the "match" tag attribute. Includes the body of the tag if the attribute equals the value of the "match" tag attribute. You can set the optional tag attribute value to true or false . The body of the tag is included if equalsAttribute matches the value. You can set the optional tag attribute ignoreCase to true or false . If ignoreCase is set to true, then the comparison between the session attribute and the "match" tag attribute will not be case-sensitive. JSP Tag Lib Descriptor <name>equalsAttribute</name> ...
EqualsCookieTag: JSP Tag equalsCookie , used to determine if a Request cookie equals the value of the "match" tag attribute. Includes the body of the tag if the cookie equals the value of the "match" tag cookie. You can set the optional tag cookie value to true or false . The body of the tag is included if equalsCookie matches the value. You can set the optional tag cookie ignoreCase to true or false . If ignoreCase is set to true, then the comparison between the request cookie and the "match" tag attribute will not be case-sensitive. JSP Tag Lib Descriptor <name>equalsCookie</name> <tagclass>org.apache.taglibs.request.EqualsCookieTag</tagclass> ...
ErasTag: JSP Tag eras , used to loop through all the era strings so that they can be accessed by using the standard JSP <jsp:getProperty> tag. The script variable of name id is availble only within the body of the eras tag. Loops through all the era strings. If the optional attribute locale is true, the strings are formatted for the clients locale if known. The optional attribute localeRef can be used to specify the name of a page, session, application, or request scope attribute of type java.util.Locale to use. JSP Tag Lib Descriptor <name>eras</name> <tagclass>org.apache.taglibs.datetime.ErasTag</tagclass> ...
EqualsHeaderTag: JSP Tag equalsHeader , used to determine if a Request header equals the value of the "match" tag attribute. Includes the body of the tag if the header equals the value of the "match" tag header. You can set the optional tag header value to true or false . The body of the tag is included if equalsHeader matches the value. You can set the optional tag header ignoreCase to true or false . If ignoreCase is set to true, then the comparison between the request header and the "match" tag attribute will not be case-sensitive. JSP Tag Lib Descriptor <name>equalsHeader</name> <tagclass>org.apache.taglibs.request.EqualsHeaderTag</tagclass> ...
MonthsTag: JSP Tag months , used to loop through all the months of the year so that month names can be accessed by using the standard JSP <jsp:getProperty> tag. The script variable of name id is availble only within the body of the months tag. Loops through all the months. If the optional attribute locale is true, the month names are formatted for the clients locale if known. The optional attribute localeRef can be used to specify the name of a page, session, application, or request scope attribute of type java.util.Locale to use. JSP Tag Lib Descriptor <name>months</name> <tagclass>org.apache.taglibs.datetime.MonthsTag</tagclass> ...
AmPmsTag: JSP Tag amPms , used to loop through all the am/pm strings so that they can be accessed by using the standard JSP <jsp:getProperty> tag. The script variable of name id is availble only within the body of the amPms tag. Loops through all the am/pm strings. If the optional attribute locale is true, the strings are formatted for the clients locale if known. The optional attribute localeRef can be used to specify the name of a page, session, application, or request scope attribute of type java.util.Locale to use. JSP Tag Lib Descriptor <name>amPms</name> <tagclass>org.apache.taglibs.datetime.AmPmsTag</tagclass> ...
| Home | Contact Us | Privacy Policy | Terms of Service |